Overview

  • WMI Control overview
  • Connect as a different user
  • Turn error logging on or off
  • Back up the respository
  • Security
  • Change the default scripting namespace


Windows Management Instrumentation (WMI) Control overview

Windows Management Instrumentation (WMI) Control is a tool that enables you to configure WMI functionality on a remote computer or local computer. Using WMI Control, you can:

Connect as a different user

Log on under a different user name to change WMI Control settings. For example, if you have defined an administrative user account on all workstations, you can connect to those workstations under that user name.

Configure error logging

Error logging can help you troubleshoot problems with WMI functionality. You can turn error logging on or off and, if turned on, set it to report errors only (the default) or all actions (verbose). You can also define a maximum size for log files and their folder location.

Back up the repository

The repository is the database of objects that can be accessed through WMI.

You can configure the WMI control to back up your repository on a regularly-scheduled basis, or you can do it manually at any time. You can also restore a previous version of the repository.

Add users or groups and set permission levels

You can add a user or a group and then set permission levels to enable that user or group to perform WMI tasks. For example, you can enable a group to manage the CIMv2 objects on their local computers.

Change the default namespace for scripting

You can change the location of the scripting files within the namespace.

Related Topics


Connect as a different user

To connect as a different user

  2. In the console tree, right-click Windows Management Instrumentation (WMI) Control, and then click Properties.
  3. On the General tab, Click Change.
  4. In the WMI Logon dialog box, clear the Log on as current user check box.
  5. Type the user name and password for the user you want to connect as.
  6. Click OK.

Notes

  • You can connect as a different user to a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and select the computer you want to connect to in the list.


Turn WMI error logging on or off

To turn WMI error logging on or off

  2. In the console tree, right-click Windows Management Instrumentation (WMI) Control, and then click Properties.
  3. Click the Logging tab.
  4. Under Logging Level, click Disabled to turn logging off. Click either Errors only or Verbose to turn it on.
  5. If you turn logging on, you can define the maximum size of each log file and the location where log files are stored.
  6. Click either OK or Apply.

Notes

  • Errors only reports only errors that occur within WMI functionality. Verbose logging reports all actions and errors.
  • Verbose logging can negatively impact system performance, so select Verbose only when you need more extensive information about the events leading to errors.
  • Log files are maintained for the WMI core and framework, as well as for each WMI-enabled provider.
  • You can set the maximum size for log files under Maximum size. When a log file has reached the maximum size, it is renamed with the extension .Lo_, and a new log file is created with the extension .Log. When that file reaches the defined maximum size, the first file is deleted and the process is repeated.
  • You can set logging levels on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and select the computer you want to connect to in the list.
  • It is recommended that you include log files when reporting issues associated with this component.
  • Changes you make to the settings will take a moment to affect logging.


Specify the interval between repository backups

To specify the interval between repository backups

  2. In the console tree, right-click Windows Management Instrumentation (WMI) Control, and then click Properties.
  3. Click the Backup/Restore tab.
  4. In the Automatic box, select the check box, and then type the period of time you want Windows Management to wait between performing backups.
  5. Click the arrow to set the time frame (minutes or hours).
  6. Click either OK or Apply.

Note

  • The maximum interval between automatic repository backups is 24 hours.
  • You can specify backup intervals on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and select the computer you want to connect to in the list.
  • The repository location is shown on the Advanced tab of the WMI Control.
  • Changes to backup settings take effect immediately.


Change the default scripting namespace

To change the default scripting namespace

  2. In the console tree, right-click Windows Management Instrumentation (WMI) Control, and then click Properties.
  3. Click the Advanced tab.
  4. Under Default namespace for scripting, click the Change button.
  5. In the Browser for Namespace dialog box, select a different namespace for scripting.
  6. Click OK.

Notes

  • You can change the scripting namespace on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and select the computer you want to connect to in the list.


Security

  • Managing WMI security
  • Add an authorized user or group
  • Modify permissions for a user or group
  • Delete a user or group


Managing WMI security

The WMI Control can be used in conjunction with the Windows 2000 User Manager to create user accounts and groups that provide the following security:

  • User authentication for both local and remote logins
  • Permissions for both local and remote access to CIM objects

Windows 2000 systems include two built-in groups that can be used to manage WMI security:

  • The local Windows 2000 Administrators group

    All users who belong to this group have full local and remote access to Windows Management. Full access means read/write/delete access to all CIM objects in all namespaces (including ROOT\SECURITY). Users with access to ROOT\SECURITY can change security information.

  • A local Windows 2000 Users group

    This group is created when Windows Management is first started. By default, this group provides read-only access to all namespaces except ROOT\SECURITY.

You can manage most access to Windows Management by controlling the membership of these two groups using the Windows 2000 User Manager.

WMI supports a limited form of security that validates each user before the user is allowed to connect to WMI. Validated users are granted access to all of the WMI namespaces.


Add an authorized user or group

To add an authorized user or group

  2. In the console tree, right-click WMI Control, and then click Properties.
  3. Click the Security tab.
  4. Select the namespace for which you want to give a user or group access, and then click the Security button.
  5. In the Security dialog box, click Add.
  6. On the Select Users, Computers, or Groups dialog box, select the domain containing the user or group you want to add.
  7. In the Name list, click the name of the user or group you want to add, or type the name in the Name box.
  8. Click Add, and then click OK.
  9. In the Security dialog box, under Permissions, select which permissions to allow or deny the new user or group.
    10. Level | Description
Enable | Allows read access to objects within the namespace.
Execute Methods | Allows execution of object methods exported from the CIM Object Manager.
Full Control | Allows full read/write/delete access to all CIM objects, classes, and instances.
Partial Write | Allows write access to static objects in the repository.
Provider Write | Allows write access to objects that are picked up by the provider.
Read Security | Allows read-only access to CIM schema objects. Users with this privilege can execute queries or retrieve instances and classes, but cannot create, delete, or modify CIM objects.
Edit Security | Allows full read/write/delete access to instances. Users with this privilege have read-only access to classes.
Remote Access | Allows same permissions on remote computers as are allowed on local computers.
  10. Click OK.

Notes

  • You can set user permissions on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and select the computer you want to connect to in the list.
  • To add users to a group, use Windows 2000 User Manager.


Modify permissions for a user or group

To modify permissions for a user or group

  2. In the console tree, right-click WMI Control, and then click Properties.
  3. Click the Security tab.
  4. Select the namespace for which you want to change a user's or group's permissions, and then click the Security button.
  5. In the Security dialog box, under Permissions, modify which permissions are allowed or denied to the user or group by clearing or selecting the appropriate check boxes.

Notes

  • You can modify user or group permissions on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and select the computer you want to connect to in the list.


Delete a user or group

To delete a user or group

  2. In the console tree, right-click Windows Management Instrumentation (WMI) Control, and then click Properties.
  3. Click the Security tab.
  4. Select the namespace from which you want to delete a user or group, and then click the Security button.
  5. In the Security dialog box, select the user or group you want to delete, and then click Remove.

Notes

  • You can delete a user or group on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and select the computer you want to connect to in the list.